Skip to navigation

Get File by ID

Beta
Get a single File by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequired
ID of the File.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
creatorobjectOptional
currentVersionIdstring or nullOptional
displayIdstring or nullOptional
folderobjectOptional
idstringOptional
modifiedAtstringOptional
namestring or nullOptional
scratchFileobjectOptional
versionsstringOptionalformat: "uri"
Published versions of the File, newest first.
externalFileIdstring or nullOptionalDeprecated
Use scratchFile to access externalFileId.
filenamestring or nullOptionalDeprecated
Use scratchFile to access filename.
mimeTypestring or nullOptionalDeprecated
Use scratchFile to access mimeType.

Errors

400
File Get Request Bad Request Error
403
File Get Request Forbidden Error
404
File Get Request Not Found Error
429
File Get Request Too Many Requests Error
500
File Get Request Internal Server Error